/*
 * $Id: Parameters_msg_error.cpp 82 2008-05-01 16:48:45Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {
namespace update_prediction_table {


#undef  FUNCTION
#define FUNCTION "Update_Prediction_Table::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"Begin");

    Parameters_test test ("Update_Prediction_Table");

    if (morpheo::behavioural::test<Tdepth_t>(_max_size_depth) == false)
      test.error("type \"Tdepth_t\" is too small.");

    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"End");

    return test;
  };

}; // end namespace update_prediction_table
}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
